zenilib: zenilib/jni/external/zlib/gzwrite.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
gzwrite.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Functions

local int | gz_comp (gz_statep state, int flush)
local int | gz_init (gz_statep state)
local int | gz_zero (gz_statep state, z_off64_t len)
int ZEXPORT | gzclose_w (gzFile file)
int ZEXPORT | gzflush (gzFile file, int flush)
int ZEXPORTVA | gzprintf (gzFile file, const char *format, int a1, int a2, int a3, int a4, int a5, int a6, int a7, int a8, int a9, int a10, int a11, int a12, int a13, int a14, int a15, int a16, int a17, int a18, int a19, int a20)
int ZEXPORT | gzputc (gzFile file, int c)
int ZEXPORT | gzputs (gzFile file, const char *str)
int ZEXPORT | gzsetparams (gzFile file, int level, int strategy)
int ZEXPORT | gzwrite (gzFile file, voidpc buf, unsigned len)
local int gz_init | OF ((gz_statep))
local int gz_comp | OF ((gz_statep, int))
local int gz_zero | OF ((gz_statep, z_off64_t))

## Function Documentation

local int gz_comp | ( | gz_statep | state,
|  | int | flush
| ) |  |

Definition at line 59 of file gzwrite.c.

References deflate(), deflateReset(), gz_error(), gz_init(), ret, Z_ERRNO, Z_FINISH, Z_NO_FLUSH, Z_OK, Z_STREAM_END, Z_STREAM_ERROR, and zstrerror.

Referenced by gz_zero(), gzclose_w(), gzflush(), gzprintf(), gzsetparams(), and gzwrite().

local int gz_init | ( | gz_statep | state | ) |

Definition at line 15 of file gzwrite.c.

References deflateInit2, free, gz_error(), malloc, NULL, ret, Z_DEFLATED, Z_MEM_ERROR, Z_NULL, and Z_OK.

Referenced by gz_comp(), gzprintf(), and gzwrite().

local int gz_zero | ( | gz_statep | state,
|  | z_off64_t | len
| ) |  |

Definition at line 111 of file gzwrite.c.

References GT_OFF, gz_comp(), memset, Z_NO_FLUSH, and z_off64_t.

Referenced by gzclose_w(), gzflush(), gzprintf(), gzputc(), gzsetparams(), and gzwrite().

int ZEXPORT gzclose_w | ( | gzFile | file | ) |

Definition at line 500 of file gzwrite.c.

References deflateEnd(), free, gz_comp(), gz_error(), GZ_WRITE, gz_zero(), NULL, ret, Z_ERRNO, Z_FINISH, Z_OK, and Z_STREAM_ERROR.

Referenced by gzclose().

int ZEXPORT gzflush | ( | gzFile | file,
|  | int | flush
| ) |  |

Definition at line 426 of file gzwrite.c.

References gz_comp(), GZ_WRITE, gz_zero(), NULL, Z_FINISH, Z_OK, and Z_STREAM_ERROR.

int ZEXPORTVA gzprintf | ( | gzFile | file,
|  | const char * | format,
|  | int | a1,
|  | int | a2,
|  | int | a3,
|  | int | a4,
|  | int | a5,
|  | int | a6,
|  | int | a7,
|  | int | a8,
|  | int | a9,
|  | int | a10,
|  | int | a11,
|  | int | a12,
|  | int | a13,
|  | int | a14,
|  | int | a15,
|  | int | a16,
|  | int | a17,
|  | int | a18,
|  | int | a19,
|  | int | a20
| ) |  |

Definition at line 352 of file gzwrite.c.

References gz_comp(), gz_init(), GZ_WRITE, gz_zero(), int, NULL, Z_NO_FLUSH, and Z_OK.

int ZEXPORT gzputc | ( | gzFile | file,
|  | int | c
| ) |  |

Definition at line 221 of file gzwrite.c.

References GZ_WRITE, gz_zero(), gzwrite(), NULL, and Z_OK.

int ZEXPORT gzputs | ( | gzFile | file,
|  | const char * | str
| ) |  |

Definition at line 264 of file gzwrite.c.

References gzwrite(), and ret.

int ZEXPORT gzsetparams | ( | gzFile | file,
|  | int | level,
|  | int | strategy
| ) |  |

Definition at line 458 of file gzwrite.c.

References deflateParams(), gz_comp(), GZ_WRITE, gz_zero(), NULL, Z_OK, Z_PARTIAL_FLUSH, and Z_STREAM_ERROR.

int ZEXPORT gzwrite | ( | gzFile | file,
|  | voidpc | buf,
|  | unsigned | len
| ) |  |

Definition at line 143 of file gzwrite.c.

References gz_comp(), gz_error(), gz_init(), GZ_WRITE, gz_zero(), memcpy, NULL, Z_BUF_ERROR, Z_NO_FLUSH, and Z_OK.

local int gz_init OF | ( | (gz_statep) |  | ) |

local int gz_comp OF | ( | (gz_statep, int) |  | ) |

local int gz_zero OF | ( | (gz_statep, z_off64_t) |  | ) |